Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.protocols
Class FD_ICMP.PingMonitor

    java.lang.Object
      org.jgroups.protocols.FD.Monitor
          org.jgroups.protocols.FD_ICMP.PingMonitor

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  FD_ICMP

    protected class FD_ICMP.PingMonitor

extends FD.Monitor

Runs InetAddress.isReachable(). Each time the command fails, we increment num_tries. If num_tries > max_tries, we emit a SUSPECT message. If ping_dest changes, or we do receive traffic from ping_dest, we reset num_tries to 0.

Constructor Summary
`protected` | `FD_ICMP.PingMonitor()`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FD_ICMP.PingMonitor

    protected FD_ICMP.PingMonitor()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `FD.Monitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.